The tech specs indicate compatibility with airport utility 6.1. It doesn't specifically say "or later." Is it also compatible with version 6.2?

AirPort Express

AirPort Express

Product No Longer Available

No Answers have been submitted